const log4js = require('log4js')
const path = require('path')
const config = require('./config.js')

log4js.configure({
    appenders: {
        everything: {
            type: 'dateFile',
            filename: path.join(__dirname, '../../logs/app.log')
        },
        download: {
            type: 'file',
            filename: path.join(__dirname, '../../logs/download.log')
        }
    },
    categories: {
        default: {
            appenders: ['everything'],
            level: config.logger.level
        },
        download: {
            appenders: ['download'],
            level: config.logger.level
        }
    }
})

module.exports = function (module) {
    return log4js.getLogger(module)
}